Subject: Re: bug#3860: vc-svn calls "svn resolved" without permission

From: Eli Zaretskii <[email-masked]>
Date: Thu, 21 Jan 2021 21:33:01 +0200

> From: Lars Ingebrigtsen <[email-masked]>
> Date: Thu, 21 Jan 2021 17:41:08 +0100
> Cc: [email-masked], [email-masked]
> 
> > I use svn's list of conflicted files while working on merges, and tend
> > to only call "resolved" on them when I'm *actually done* fixing a
> > group of files. I'll note that emacs automatically calling "svn
> > resolved" also destroys the .mine, .rOLD, and .rNEW files, which I
> > wasn't actually done with yet. Having them disappear out from under me
> > just because I've *partly* fixed things and saved is very
> > counterintuitive!
> 
> I haven't used SVN myself in ages, and I don't even recall what my work
> flow used to be.  However, adding a variable to suppress
> `vc-svn-resolve-when-done' might make sense?  Anybody who actually uses
> SVN still got an opinion here?

I think if we are going to make this optional with SVN, we should make
it optional with the other back-ends as well.  VC always presented a
uniform UI and user experience with all back-ends, as far as possible
and reasonable.  In this case, I think automatically marking the
conflicts as resolved makes a lot of sense, but I won't object to make
it opt-out, as long as it's done for every VCS that can support it.